import { useMemo } from "react";
//#region src/components/dataSourceComponents/hooks/useComponentId.ts
const useComponentId = (props) => {
	const { __id, componentId } = props;
	return useMemo(() => {
		return __id || componentId;
	}, [__id, componentId]);
};
//#endregion
export { useComponentId as default };
